[Qa-jenkins-scm] [Git][qa/jenkins.debian.net][master] chroot-run: also usemmdebstrap instead of debootstrap
Holger Levsen
gitlab at salsa.debian.org
Wed Jan 15 12:54:35 GMT 2020
Holger Levsen pushed to branch master at Debian QA / jenkins.debian.net
Commits:
2ba15a82 by Holger Levsen at 2020-01-15T13:54:23+01:00
chroot-run: also usemmdebstrap instead of debootstrap
Signed-off-by: Holger Levsen <holger at layer-acht.org>
- - - - -
1 changed file:
- bin/chroot-run.sh
Changes:
=====================================
bin/chroot-run.sh
=====================================
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2012-2018 Holger Levsen <holger at layer-acht.org>
+# Copyright 2012-2020 Holger Levsen <holger at layer-acht.org>
# Copyright 2013 Antonio Terceiro <terceiro at debian.org>
# released under the GPLv2
@@ -70,23 +70,20 @@ chmod 755 "$CHROOT_TARGET"
export CURDIR=$(pwd)
bootstrap() {
- mkdir -p "$CHROOT_TARGET/etc/dpkg/dpkg.cfg.d"
- echo force-unsafe-io > "$CHROOT_TARGET/etc/dpkg/dpkg.cfg.d/02dpkg-unsafe-io"
-
local TMPLOG=$(mktemp -p $CHROOT_BASE/ chroot-run-$DISTRO.XXXXXXXXX)
echo "$(date -u ) - bootstraping $DISTRO into $CHROOT_TARGET now."
set +e
- sudo debootstrap $BOOTSTRAP_OPTIONS $DISTRO $CHROOT_TARGET $MIRROR | tee $TMPLOG
+ sudo mmdebstrap $BOOTSTRAP_OPTIONS $DISTRO $CHROOT_TARGET $MIRROR | tee $TMPLOG
local RESULT=$(egrep "E: (Couldn't download (packages|dists)|Invalid Release signature)" $TMPLOG || true )
rm $TMPLOG
set -e
if [ ! -z "$RESULT" ] ; then
- echo "$(date -u) - initial debootstrap failed, sleeping 5min before retrying..."
+ echo "$(date -u) - initial bootstrap failed, sleeping 5min before retrying..."
sudo rm -rf --one-file-system $CHROOT_TARGET
sleep 5m
- if ! sudo debootstrap $BOOTSTRAP_OPTIONS $DISTRO $CHROOT_TARGET $MIRROR ; then
+ if ! sudo mmdebstrap $BOOTSTRAP_OPTIONS $DISTRO $CHROOT_TARGET $MIRROR ; then
SLEEPTIME="30m"
- echo "$(date -u ) - debootstrap failed, slowing down, sleeping $SLEEPTIME now..."
+ echo "$(date -u ) - bootstrap failed, slowing down, sleeping $SLEEPTIME now..."
sleep $SLEEPTIME
exit 1
fi
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/commit/2ba15a828f4c64a55ae4916ff69c6683b6547699
--
View it on GitLab: https://salsa.debian.org/qa/jenkins.debian.net/commit/2ba15a828f4c64a55ae4916ff69c6683b6547699
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/qa-jenkins-scm/attachments/20200115/861fb218/attachment-0001.html>
More information about the Qa-jenkins-scm
mailing list